///////////////////////////////////////////////////////////////////////////////
// Copyright     2009,2010,2011,2012 Sony Corporation
// Copyright (C) 2011,2012 Sony Computer Entertainment Inc.
///////////////////////////////////////////////////////////////////////////////

2012-02-07  Sony Corporation and Sony Computer Entertainment Inc.
	
	Modified for Xai Project (PlayStation 3 Browser Project).

	Modify Automake build system for Xai.
	Modify the porting layer for Xai.
	Modify WebKit layer for Xai.
	Implement 2D-Focus navigation for Xai.
	Implement JavaScript extention for Xai.

	* GNUmakefile.am
	* JavaScriptCore/JavaScriptCoreSilk.vcproj/JavaScriptCore/Makefile
	* JavaScriptCore/JavaScriptCoreSilk.vcproj/WTF/Makefile
	* JavaScriptCore/wtf/HashTable.h
	* JavaScriptCore/wtf/Platform.h
	* WebCore/WebCoreSilk.vcproj/Makefile
	* WebCore/bridge/npapi.h
	* WebCore/bridge/npruntime.cpp
	* WebCore/dom/Element.cpp
	* WebCore/html/HTMLPlugInElement.cpp
	* WebCore/html/HTMLPlugInElement.h
	* WebCore/page/EventHandler.cpp
	* WebCore/platform/Cursor.h
	* WebCore/platform/ScrollView.cpp
	* WebCore/platform/Scrollbar.h
	* WebCore/platform/graphics/silk/FontCacheSilk.cpp
	* WebCore/platform/network/silk/ResourceError.h
	* WebCore/platform/network/silk/ResourceHandleManagerCore.cpp
	* WebCore/platform/network/silk/ResourceHandleManagerCore.h
	* WebCore/platform/silk/CursorSilk.cpp
	* WebCore/platform/silk/FileSystemSilk.cpp
	* WebCore/platform/silk/LocalizedStringsSilk.cpp
	* WebCore/platform/silk/PlatformScreenSilk.cpp
	* WebCore/platform/silk/ScrollbarSilk.h
	* WebCore/platform/silk/TemporaryLinkStubs.cpp
	* WebCore/platform/silk/WidgetSilk.cpp
	* WebCore/plugins/PluginDatabase.cpp
	* WebCore/plugins/PluginView.h
	* WebCore/plugins/silk/PluginPackageSilk.cpp
	* WebCore/plugins/silk/PluginPackageSilkUnix.cpp
	* WebCore/plugins/silk/PluginPackageSilkWin.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebCore/plugins/silk/npapi_silk.h
	* WebCore/rendering/RenderLayer.cpp
	* WebKit/silk/CEWebKitFocusImpl.cpp
	* WebKit/silk/CEWebKitFrameViewImpl.cpp
	* WebKit/silk/CEWebKitFrameViewImpl.h
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitImpl.cpp
	* WebKit/silk/CEWebKitImpl.h
	* WebKit/silk/CEWebKitWidget.h
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/Makefile
	* WebKit/silk/WebCoreSupport/CEHtmlCredentialBase.cpp
	* WebKit/silk/WebCoreSupport/CEHtmlCredentialBase.h
	* WebKit/silk/WebCoreSupport/CEPrivilegeObjectBase.h
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEHtmlCredential.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSExternal.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSExternal.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObject.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObject.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObjectDeclaration.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObjectDeclaration.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObjectDeclarationGlue.ccd
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObjectGlue.ccd
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObject.cpp
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObject.h
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObjectDeclaration.cpp
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObjectDeclaration.h
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObjectDeclarationGlue.ccd
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSPrivilegeSSObjectGlue.ccd
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSSessionStorage.cpp
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSSessionStorage.h
	* WebKit/silk/WebCoreSupport/WindowSessionStorageImpl/CEJSWindowSessionStorage.h
	* WebKit/silk/WebKitSilk.vcproj
	* WebKit/silk/silk.vsprops

2011-12-08  Sony Corporation and Sony Computer Entertainment Inc.
	
	Modified for Hydra Project (PlayStation Vita Browser Project).

	Modify Automake build system for Hydra.
	Modify the project and Makefile files for Hydra.
	Implement the porting layer for Hydra.
	Implement WebKit layer for Hydra.

	* GNUmakefile.am
	* JavaScriptCore/API/JSBase.h
	* JavaScriptCore/API/JSStringRef.h
	* JavaScriptCore/GNUmakefile.am
	* JavaScriptCore/bytecode/SamplingTool.cpp
	* JavaScriptCore/config.h
	* JavaScriptCore/interpreter/Interpreter.cpp
	* JavaScriptCore/interpreter/RegisterFile.cpp
	* JavaScriptCore/interpreter/RegisterFile.h
	* JavaScriptCore/jit/JITStubs.cpp
	* JavaScriptCore/jsc.cpp
	* JavaScriptCore/os-win32/stdint.h
	* JavaScriptCore/parser/Grammar.y
	* JavaScriptCore/parser/NodeConstructors.h
	* JavaScriptCore/parser/Nodes.h
	* JavaScriptCore/pcre/pcre_internal.h
	* JavaScriptCore/runtime/Arguments.h
	* JavaScriptCore/runtime/Collector.cpp
	* JavaScriptCore/runtime/Completion.cpp
	* JavaScriptCore/runtime/DatePrototype.cpp
	* JavaScriptCore/runtime/JSArray.cpp
	* JavaScriptCore/runtime/Structure.cpp
	* JavaScriptCore/runtime/TimeoutChecker.cpp
	* JavaScriptCore/wtf/CurrentTime.cpp
	* JavaScriptCore/wtf/DateMath.cpp
	* JavaScriptCore/wtf/DateMath.h
	* JavaScriptCore/wtf/FastMalloc.cpp
	* JavaScriptCore/wtf/FastMalloc.h
	* JavaScriptCore/wtf/HashTable.h
	* JavaScriptCore/wtf/MainThread.h
	* JavaScriptCore/wtf/MathExtras.h
	* JavaScriptCore/wtf/MessageQueue.h
	* JavaScriptCore/wtf/Platform.h
	* JavaScriptCore/wtf/RandomNumber.cpp
	* JavaScriptCore/wtf/RandomNumberSeed.h
	* JavaScriptCore/wtf/StdLibExtras.h
	* JavaScriptCore/wtf/TCSpinLock.h
	* JavaScriptCore/wtf/TCSystemAlloc.cpp
	* JavaScriptCore/wtf/ThreadSpecific.h
	* JavaScriptCore/wtf/Threading.h
	* JavaScriptCore/wtf/ThreadingSilk.cpp
	* JavaScriptCore/wtf/Vector.h
	* WebCore/DerivedSources.cpp
	* WebCore/DerivedSources.make
	* WebCore/GNUmakefile.am
	* WebCore/WebCorePrefix.h
	* WebCore/accessibility/AXObjectCache.h
	* WebCore/bindings/js/JSDOMWindowCustom.cpp
	* WebCore/bridge/NP_jsobject.cpp
	* WebCore/bridge/npapi.h
	* WebCore/bridge/npruntime.cpp
	* WebCore/bridge/npruntime.h
	* WebCore/config.h
	* WebCore/css/CSSGrammar.y
	* WebCore/css/CSSParser.cpp
	* WebCore/dom/ContainerNode.cpp
	* WebCore/dom/Document.cpp
	* WebCore/dom/Document.h
	* WebCore/dom/Element.cpp
	* WebCore/dom/Element.h
	* WebCore/dom/InputElement.cpp
	* WebCore/dom/NamedAttrMap.cpp
	* WebCore/dom/NamedAttrMap.h
	* WebCore/dom/Node.cpp
	* WebCore/dom/QualifiedName.cpp
	* WebCore/dom/QualifiedName.h
	* WebCore/dom/Range.cpp
	* WebCore/dom/Range.h
	* WebCore/dom/SelectElement.cpp
	* WebCore/dom/XMLTokenizerLibxml2.cpp
	* WebCore/editing/markup.cpp
	* WebCore/html/HTMLElement.cpp
	* WebCore/html/HTMLInputElement.cpp
	* WebCore/html/HTMLTextAreaElement.cpp
	* WebCore/loader/CachedFont.cpp
	* WebCore/loader/CachedImage.cpp
	* WebCore/loader/SubresourceLoader.cpp
	* WebCore/page/Chrome.cpp
	* WebCore/page/Chrome.h
	* WebCore/page/ChromeClient.h
	* WebCore/page/DOMWindow.cpp
	* WebCore/page/Frame.cpp
	* WebCore/page/FrameView.cpp
	* WebCore/page/FrameView.h
	* WebCore/platform/ContextMenu.cpp
	* WebCore/platform/DragData.h
	* WebCore/platform/DragImage.h
	* WebCore/platform/KURL.h
	* WebCore/platform/MIMETypeRegistry.cpp
	* WebCore/platform/PlatformKeyboardEvent.h
	* WebCore/platform/PlatformWheelEvent.h
	* WebCore/platform/PopupMenu.h
	* WebCore/platform/ScrollView.cpp
	* WebCore/platform/ScrollView.h
	* WebCore/platform/Scrollbar.cpp
	* WebCore/platform/Widget.cpp
	* WebCore/platform/Widget.h
	* WebCore/platform/graphics/BitmapImage.cpp
	* WebCore/platform/graphics/BitmapImage.h
	* WebCore/platform/graphics/Color.cpp
	* WebCore/platform/graphics/Color.h
	* WebCore/platform/graphics/DashArray.h
	* WebCore/platform/graphics/FloatPoint.h
	* WebCore/platform/graphics/FloatRect.h
	* WebCore/platform/graphics/FloatSize.h
	* WebCore/platform/graphics/Font.cpp
	* WebCore/platform/graphics/Font.h
	* WebCore/platform/graphics/FontCache.cpp
	* WebCore/platform/graphics/FontCache.h
	* WebCore/platform/graphics/Gradient.h
	* WebCore/platform/graphics/GraphicsContext.cpp
	* WebCore/platform/graphics/GraphicsContext.h
	* WebCore/platform/graphics/GraphicsContextPrivate.h
	* WebCore/platform/graphics/Image.h
	* WebCore/platform/graphics/ImageSource.h
	* WebCore/platform/graphics/IntPoint.h
	* WebCore/platform/graphics/IntRect.h
	* WebCore/platform/graphics/IntSize.h
	* WebCore/platform/graphics/Path.h
	* WebCore/platform/graphics/Pattern.h
	* WebCore/platform/graphics/gtk/SimpleFontDataGtk.cpp
	* WebCore/platform/graphics/silk/CEGLayerCallback.ccd
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContextImpl.h
	* WebCore/platform/graphics/silk/GradientSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsContextSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsLayerSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsLayerSilk.h
	* WebCore/platform/graphics/silk/ImageBufferSilk.cpp
	* WebCore/platform/graphics/silk/ImageSilk.cpp
	* WebCore/platform/graphics/silk/ImageSourceSilk.cpp
	* WebCore/platform/graphics/silk/PatternSilk.cpp
	* WebCore/platform/graphics/transforms/Matrix3DTransformOperation.cpp
	* WebCore/platform/graphics/transforms/MatrixTransformOperation.cpp
	* WebCore/platform/graphics/transforms/TransformationMatrix.h
	* WebCore/platform/network/FormData.cpp
	* WebCore/platform/network/ResourceHandle.h
	* WebCore/platform/network/ResourceHandleInternal.h
	* WebCore/platform/network/curl/ResourceHandleCurl.cpp
	* WebCore/platform/network/silk/CookieJarSilk.cpp
	* WebCore/platform/network/silk/DNSCurl.cpp
	* WebCore/platform/network/silk/FormDataStreamCurl.cpp
	* WebCore/platform/network/silk/FormDataStreamCurl.h
	* WebCore/platform/network/silk/ResourceError.h
	* WebCore/platform/network/silk/ResourceHandleCurl.cpp
	* WebCore/platform/network/silk/ResourceHandleManagerCore.cpp
	* WebCore/platform/network/silk/ResourceHandleManagerCore.h
	* WebCore/platform/network/silk/ResourceHandleXai.cpp
	* WebCore/platform/network/silk/ResourceRequest.h
	* WebCore/platform/network/silk/ResourceResponse.h
	* WebCore/platform/silk/PlatformScreenSilk.cpp
	* WebCore/platform/silk/PopupMenuSilk.cpp
	* WebCore/platform/silk/RenderThemeSilk.cpp
	* WebCore/platform/silk/RenderThemeSilk.h
	* WebCore/platform/silk/ScrollViewSilk.cpp
	* WebCore/platform/silk/ScrollbarThemeSilk.cpp
	* WebCore/platform/silk/ScrollbarThemeSilk.h
	* WebCore/platform/silk/WidgetSilk.cpp
	* WebCore/platform/text/PlatformString.h
	* WebCore/platform/text/TextBreakIteratorICU.cpp
	* WebCore/platform/text/TextCodecICU.cpp
	* WebCore/platform/text/TextEncodingRegistry.cpp
	* WebCore/plugins/PluginPackage.cpp
	* WebCore/plugins/PluginView.cpp
	* WebCore/plugins/PluginView.h
	* WebCore/plugins/npapi.cpp
	* WebCore/plugins/npfunctions.h
	* WebCore/plugins/silk/PluginPackageSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebCore/plugins/silk/npapi_silk.h
	* WebCore/rendering/FixedTableLayout.cpp
	* WebCore/rendering/InlineFlowBox.cpp
	* WebCore/rendering/RenderArena.cpp
	* WebCore/rendering/RenderBlock.cpp
	* WebCore/rendering/RenderLayer.cpp
	* WebCore/rendering/RenderListBox.cpp
	* WebCore/rendering/RenderObject.cpp
	* WebCore/rendering/RenderObject.h
	* WebCore/rendering/RenderSlider.cpp
	* WebCore/rendering/RenderText.cpp
	* WebCore/rendering/RenderTextControl.cpp
	* WebCore/rendering/RenderTextFragment.cpp
	* WebCore/rendering/RenderView.h
	* WebCore/rendering/RenderWidget.cpp
	* WebCore/rendering/RenderWidget.h
	* WebCore/storage/DatabaseTask.cpp
	* WebCore/xml/XPathGrammar.y
	* WebKit/silk/CEWebKit.ccd
	* WebKit/silk/CEWebKitFocusImpl.cpp
	* WebKit/silk/CEWebKitFocusImpl.h
	* WebKit/silk/CEWebKitFrameViewImpl.cpp
	* WebKit/silk/CEWebKitFrameViewImpl.h
	* WebKit/silk/CEWebKitFrameWindow.ccd
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitImpl.cpp
	* WebKit/silk/CEWebKitImpl.h
	* WebKit/silk/CEWebKitSettingsImpl.cpp
	* WebKit/silk/CEWebKitSettingsImpl.h
	* WebKit/silk/CEWebKitWidget.h
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/CEWebKitWindowImpl.h
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.cpp
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.h
	* WebKit/silk/WebCoreSupport/EditorClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h
	* WebKit/silk/WebCoreSupport/IconDatabaseClientSilk.cpp
	* WebKit/silk/WebCoreSupport/IconDatabaseClientSilk.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEHtmlCredential.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEHtmlCredential.h
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEHtmlCredentialGlue.ccd
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSExternal.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObject.cpp
	* WebKit/silk/WebCoreSupport/WindowExternalImpl/CEJSPrivilegeExtObjectDeclaration.cpp
	* WebKit/silk/WebKitMain.cpp
	* WebKit/silk/WebKitSilk.vcproj
	* WebKit/silk/WebKitSilk.vcproj.vspscc
	* WebKit/silk/WebKitSilk.vsprops
	* WebKit/silk/silk.vsprops
	* WebKitLibraries/win/tools/scripts/auto-version.sh
	* WebKitLibraries/win/tools/vsprops/debug.vsprops
	* WebKitTools/GNUmakefile.am
	* configure.ac

2010-05-21  Sony Corporation

	Modified for Silk Project (Sony Browser Project).

	Add switches --with-http-backend=silk_ceps, --with-font-backend=silk_ceuifont,
	--enable-silk and --with-webkitsilk-lib.

	* GNUmakefile.am
	* JavaScriptCore/GNUmakefile.am
	* WebCore/GNUmakefile.am


	Disable macro JS_EXPORT.

	* JavaScriptCore/API/JSStringRef.h
	* JavaScriptCore/API/JSBase.h

	Make RegisterFile using fastMalloc and fastFree if PLATFORM(SILK).

	* JavaScriptCore/interpreter/RegisterFile.cpp
	* JavaScriptCore/interpreter/RegisterFile.h


	Do not #error if PLATFORM(SILK).

	* JavaScriptCore/os-win32/stdint.h


	Use JSC::malloc and JSC::free.

	* JavaScriptCore/parser/Grammar.y


	undef DEBUG if PLATFORM(SILK).

	* JavaScriptCore/pcre/pcre_internal.h


	Define NDEBUG if PLATFORM(SILK).

	* JavaScriptCore/runtime/Structure.cpp


	getCPUTime: Use CESysGetTimeOfDay.

	* JavaScriptCore/runtime/TimeoutChecker.cpp


	currentTime: Use CESysGetTimeOfDay.

	* JavaScriptCore/wtf/CurrentTime.cpp


	Connect fastMalloc family to CEMALLOC family.

	* JavaScriptCore/wtf/FastMalloc.cpp


	Define WTF::malloc, JSC::malloc and WebCore::malloc familly.

	* JavaScriptCore/wtf/FastMalloc.h


	Define WTF_PLATFORM_SILK.

	* JavaScriptCore/wtf/Platform.h


	randomNumber: Use rand if PLATFORM(SILK).

	* JavaScriptCore/wtf/RandomNumber.cpp


	initializeRandomNumberGenerator: Do nothing if PLATFORM(SILK).

	* JavaScriptCore/wtf/RandomNumberSeed.h


	PlatformMutex: Use CESysCriticalSection.
	PlatformCondition: Use CESysCondVar.

	* JavaScriptCore/wtf/Threading.h


	Replace malloc with fastMalloc.

	* WebCore/bridge/NP_jsobject.cpp
	* WebCore/bridge/npruntime.cpp
	* WebCore/css/CSSGrammar.y
	* WebCore/xml/XPathGrammar.y
	* WebCore/rendering/RenderArena.cpp
	* WebCore/plugins/npapi.cpp


	Add conditions.

	* WebCore/DerivedSources.cpp


	Support CR-LF line style by using dos2unix.

	* WebCore/DerivedSources.make


	Replace 0 -> 0.0 to disambiguous overload of nextafter.

	* WebCore/platform/graphics/Color.cpp
	* WebCore/rendering/RenderSlider.cpp


	KURL: Add new methods fromICEURL and createICEURL.

	* WebCore/platform/KURL.h


	Add getMainCEUThreadRef and setMainCEUThreadRef.

	* JavaScriptCore/wtf/MainThread.h


	Implement ThreadSpecific for Silk.

	* JavaScriptCore/wtf/ThreadSpecific.h

	Initialize m_condition in MessageQueue::MessageQueue

	* WebCore/storage/DatabaseTask.cpp
	* JavaScriptCore/wtf/MessageQueue.h


	PLATFORM(SILK) build fix.

	* JavaScriptCore/GNUmakefile.am
	* JavaScriptCore/config.h
	* JavaScriptCore/jsc.cpp
	* JavaScriptCore/runtime/Collector.cpp
	* JavaScriptCore/runtime/Completion.cpp
	* JavaScriptCore/wtf/FastMalloc.cpp
	* JavaScriptCore/wtf/FastMalloc.h
	* JavaScriptCore/wtf/HashTable.h
	* JavaScriptCore/wtf/Platform.h
	* JavaScriptCore/wtf/StdLibExtras.h
	* JavaScriptCore/wtf/TCSpinLock.h
	* JavaScriptCore/wtf/TCSystemAlloc.cpp
	* JavaScriptCore/wtf/Threading.h
	* JavaScriptCore/wtf/ThreadingSilk.cpp
	* WebCore/GNUmakefile.am
	* WebCore/bindings/js/ScriptControllerSilk.cpp
	* WebCore/config.h
	* WebCore/page/silk/DragControllerSilk.cpp
	* WebCore/page/silk/EventHandlerSilk.cpp
	* WebCore/platform/ContextMenu.cpp
	* WebCore/platform/DragData.h
	* WebCore/platform/DragImage.h
	* WebCore/platform/PlatformWheelEvent.h
	* WebCore/platform/Widget.h
	* WebCore/platform/graphics/silk/ColorSilk.cpp
	* WebCore/platform/graphics/silk/FloatPointSilk.cpp
	* WebCore/platform/graphics/silk/FloatRectSilk.cpp
	* WebCore/platform/graphics/silk/FloatSizeSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsContextSilk.cpp
	* WebCore/platform/graphics/silk/ImageBufferSilk.cpp
	* WebCore/platform/graphics/silk/ImageSilk.cpp
	* WebCore/platform/graphics/silk/ImageSourceSilk.cpp
	* WebCore/platform/graphics/silk/IntPointSilk.cpp
	* WebCore/platform/graphics/silk/IntRectSilk.cpp
	* WebCore/platform/graphics/silk/IntSizeSilk.cpp
	* WebCore/platform/silk/ContextMenuSilk.cpp
	* WebCore/platform/silk/CursorSilk.cpp
	* WebCore/platform/silk/PasteboardSilk.cpp
	* WebCore/platform/silk/PopupMenuSilk.cpp
	* WebCore/platform/silk/RenderThemeSilk.h
	* WebCore/platform/silk/ScrollbarThemeSilk.cpp
	* WebCore/platform/silk/ScrollbarThemeSilk.h
	* WebCore/platform/silk/SystemTimeSilk.cpp
	* WebCore/platform/silk/TemporaryLinkStubs.cpp
	* WebCore/platform/silk/WidgetSilk.cpp
	* WebCore/platform/win/DragImageSilkWin.cpp
	* WebCore/plugins/PluginView.cpp
	* WebCore/plugins/silk/PluginPackageSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebCore/rendering/RenderLayer.cpp
	* WebCore/svg/graphics/silk/RenderPathSilk.cpp
	* WebCore/svg/graphics/silk/SVGPaintServerPatternSilk.cpp
	* configure.ac
	* WebKit/silk/CEWebKit.ccd
	* WebKit/silk/CEWebKitClassFactory.ccd
	* WebKit/silk/CEWebKitClassFactoryImpl.cpp
	* WebKit/silk/CEWebKitFrameWindow.ccd
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitImpl.cpp
	* WebKit/silk/CEWebKitImpl.cpp
	* WebKit/silk/CEWebKitModule.csd
	* WebKit/silk/CEWebKitWindow.ccd
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.cpp
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.h
	* WebKit/silk/WebCoreSupport/ContextMenuClientSilk.cpp
	* WebKit/silk/WebCoreSupport/ContextMenuClientSilk.h
	* WebKit/silk/WebCoreSupport/DragClientSilk.cpp
	* WebKit/silk/WebCoreSupport/DragClientSilk.h
	* WebKit/silk/WebCoreSupport/EditorClientSilk.cpp
	* WebKit/silk/WebCoreSupport/EditorClientSilk.h
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/InspectorClientSilk.cpp
	* WebKit/silk/WebCoreSupport/InspectorClientSilk.h
	* WebKit/silk/WebKitLoadResourceBuffer.cpp
	* WebKit/silk/WebKitMain.cpp
	* WebKit/silk/WebKitPrefix.cpp
	* WebKit/silk/WebKitPrefix.h
	* WebKit/silk/WebKitSilk.vcproj
	* WebKit/silk/WebKitSilkPrefix.cpp
	* WebKit/silk/WebKitSilkPrefix.h
	* WebKit/silk/silk.vsprops
	* WebKitTools/GNUmakefile.am


	Add the build flag SILK_LIMITED_ICU_SUPPORT to disable assert in
	addToTextEncodingNameMap() to use icu with minimum encoding on debug build.

	* WebCore/platform/text/TextEncodingRegistry.cpp


	Add support for zoom on SILK platform.

	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h


	Add support for SILK font library.

	* WebCore/loader/CachedFont.cpp
	* WebCore/platform/graphics/Font.cpp
	* WebCore/platform/graphics/Font.h
	* WebCore/platform/graphics/silk/FontCacheSilk.cpp
	* WebCore/platform/graphics/silk/FontCEUISilk.cpp
	* WebCore/platform/graphics/silk/FontCustomPlatformData.cpp
	* WebCore/platform/graphics/silk/FontCustomPlatformData.h
	* WebCore/platform/graphics/silk/FontDatabase.cpp
	* WebCore/platform/graphics/silk/FontPlatformData.h
	* WebCore/platform/graphics/silk/FontSilk.cpp
	* WebCore/platform/graphics/silk/GlyphPageTreeNodeCEUISilk.cpp
	* WebCore/platform/graphics/silk/SimpleFontDataCEUISilk.cpp
	* WebCore/platform/graphics/silk/SimpleFontDataSilk.cpp
	* WebKit/silk/CEWebKitImpl.cpp
	* WebCore/config.h
	* WebCore/platform/graphics/Font.cpp
	* WebCore/platform/graphics/Font.h
	* WebCore/platform/graphics/FontCache.cpp
	* WebCore/platform/graphics/FontCache.h
	* WebCore/platform/graphics/silk/CECTLController.cpp
	* WebCore/platform/graphics/silk/CECTLController.h
	* WebCore/platform/graphics/silk/FontCacheSilk.cpp
	* WebCore/platform/graphics/silk/FontCEUISilk.cpp
	* WebCore/platform/graphics/silk/FontCustomPlatformData.cpp
	* WebCore/platform/graphics/silk/FontCustomPlatformData.h
	* WebCore/platform/graphics/silk/FontDatabase.cpp
	* WebCore/platform/graphics/silk/FontPlatformData.h
	* WebCore/platform/graphics/silk/FontPlatformDataCEUISilk.cpp
	* WebCore/platform/graphics/silk/FontPlatformDataSilk.cpp
	* WebCore/platform/graphics/silk/FontSilk.cpp
	* WebCore/platform/graphics/silk/GlyphPageTreeNodeCEUISilk.cpp
	* WebCore/platform/graphics/silk/SimpleFontDataCEUISilk.cpp
	* WebCore/platform/graphics/silk/SimpleFontDataSilk..cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitImpl.cpp


	Add the build flag SILK_CEPS to enable HTTP on SILK platform.

	* WebCore/platform/network/ResourceHandle.h
	* WebCore/platform/network/ResourceHandleInternal.h


	Add support for HTTP on SILK platform.

 	* WebCore/platform/network/silk/AuthenticationChallenge.h
	* WebCore/platform/network/silk/CookieJarSilk.cpp
	* WebCore/platform/network/silk/DNSSilk.cpp
	* WebCore/platform/network/silk/FormDataStreamSilk.cpp
	* WebCore/platform/network/silk/FormDataStreamSilk.h
	* WebCore/platform/network/silk/ResourceError.h
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebCore/platform/network/silk/ResourceHandleManager.h
	* WebCore/platform/network/silk/ResourceHandleSilk.cpp
	* WebCore/platform/network/silk/ResourceHandleSilk.h
	* WebCore/platform/network/silk/ResourceRequest.h
	* WebCore/platform/network/silk/ResourceResponse.h


	Fix memory leak

	* WebCore/platform/network/silk/CEWebKitCEPS2ContextImpl.cpp
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebCore/platform/network/silk/ResourceHandleSilk.cpp
	* WebCore/platform/silk/RenderThemeSilk.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp


	Add the graphics and image of Silk platform

	* WebCore/config.h
	* WebCore/page/win/FrameSilkWin.cpp
	* WebCore/platform/graphics/BitmapImage.h
	* WebCore/platform/graphics/Color.h
	* WebCore/platform/graphics/FloatPoint.h
	* WebCore/platform/graphics/FloatRect.h
	* WebCore/platform/graphics/FloatSize.h
	* WebCore/platform/graphics/Gradient.h
	* WebCore/platform/graphics/GraphicsContext.cpp
	* WebCore/platform/graphics/GraphicsContext.h
	* WebCore/platform/graphics/Image.h
	* WebCore/platform/graphics/ImageSource.h
	* WebCore/platform/graphics/IntPoint.h
	* WebCore/platform/graphics/IntRect.h
	* WebCore/platform/graphics/IntSize.h
	* WebCore/platform/graphics/Path.h
	* WebCore/platform/graphics/Pattern.h
	* WebCore/platform/graphics/silk
	* WebCore/platform/graphics/silk/AffineTransformSilk.cpp
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContextImpl.cpp
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContextImpl.h
	* WebCore/platform/graphics/silk/ColorSilk.cpp
	* WebCore/platform/graphics/silk/FloatPointSilk.cpp
	* WebCore/platform/graphics/silk/FloatRectSilk.cpp
	* WebCore/platform/graphics/silk/FloatSizeSilk.cpp
	* WebCore/platform/graphics/silk/GradientSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsContextPlatformPrivateSilk.h
	* WebCore/platform/graphics/silk/GraphicsContextSilk.cpp
	* WebCore/platform/graphics/silk/ImageBufferData.h
	* WebCore/platform/graphics/silk/ImageBufferSilk.cpp
	* WebCore/platform/graphics/silk/ImageSilk.cpp
	* WebCore/platform/graphics/silk/ImageSourceSilk.cpp
	* WebCore/platform/graphics/silk/IntPointSilk.cpp
	* WebCore/platform/graphics/silk/IntRectSilk.cpp
	* WebCore/platform/graphics/silk/IntSizeSilk.cpp
	* WebCore/platform/graphics/silk/PathSilk.cpp
	* WebCore/platform/graphics/silk/PatternSilk.cpp
	* WebCore/platform/graphics/silk/SilkPath.h
	* WebCore/platform/graphics/transforms/TransformationMatrix.h
	* WebCore/platform/graphics/win/ImageSilkWin.cpp
	* WebCore/svg/graphics/silk/RenderPathSilk.cpp
	* WebCore/svg/graphics/silk/SVGPaintServerGradientSilk.cpp
	* WebCore/svg/graphics/silk/SVGPaintServerPatternSilk.cpp
	* WebCore/svg/graphics/silk/SVGPaintServerSilk.cpp
	* WebCore/svg/graphics/silk/SVGPaintServerSolidSilk.cpp
	* WebCore/svg/graphics/silk/SVGResourceClipperSilk.cpp
	* WebCore/svg/graphics/silk/SVGResourceFilterSilk.cpp
	* WebCore/svg/graphics/silk/SVGResourceMaskerSilk.cpp
	* JavaScriptCore/wtf/Platform.h
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.cpp
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.h
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h


	Add the mime type

	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp


	Add the cookie

	* WebCore/platform/network/silk/ResourceHandleManager.h
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebCore/platform/network/silk/CookieJarSilk.cp


	Add to set default language

	* WebCore/platform/silk/Language.cpp


	Enable scroll bar policy

	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/WebCoreSupport/ChromeClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp


	Add support Plug-in on Silk platform

	* WebCore/GNUmakefile.am
	* WebCore/platform/silk/FileSystemSilk.cpp
	* WebCore/plugins/PluginView.cpp
	* WebCore/plugins/silk/PluginPackageSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp


	Notify request information of document

	* WebCore/platform/network/ResourceHandleInternal.h
	* WebCore/platform/network/silk/ResourceHandleManager.h
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebCore/platform/network/silk/ResourceHandleSilk.cpp
	* WebCore/platform/network/silk/ResourceResponse.h
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h
	* WebKit/silk/CEWebKitDocumentLoader.cpp
	* WebKit/silk/CEWebKitDocumentLoader.h


	Modify User-Agent

	* WebCore/platform/network/silk/CEWebKitCEPS2ConfigImpl.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h


	Modify content of network error

	* WebCore/platform/network/silk/ResourceError.h
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h


	Modify handiling of URL

	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.cpp
	* WebKit/silk/WebCoreSupport/FrameLoaderClientSilk.h


	Support text input

	* WebKit/silk/WebCoreSupport/EditorClientSilk.cpp
	* WebKit/silk/WebCoreSupport/EditorClientSilk.h
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitWindowImpl.cpp


	Notify request URL of new document

	* WebCore/bindings/js/silk/JSDOMWindowCustom.cpp
	* WebCore/bindings/js/silk/JSDOMWindowCustomSilk.cpp


	Bring forword the call timing of client's didReceiveResponse
	to complete things before the firing body.onload

	* WebCore/loader/SubresourceLoader.cpp
	* WebCore/platform/network/silk/ResourceHandleManager.cpp
	* WebCore/platform/network/silk/ResourceHandleManager.h

	Fix build error on windows (contains white space in the directory source directory).

	* WebKitLibraries/win/tools/scripts/auto-version.sh

	Fix Gtk build.

	* WebCore/accessibility/AXObjectCache.h
	* WebCore/accessibility/gtk/AccessibilityObjectAtk.cpp
	* WebCore/accessibility/gtk/AccessibilityObjectWrapperAtk.cpp
	* WebCore/platform/graphics/gtk/SimpleFontDataGtk.cpp
	* WebKit/gtk/webkit/webkitwebinspector.cpp


	Add callback focusedNodeChanged.

	* WebCore/dom/Document.cpp
	* WebCore/page/Chrome.cpp
	* WebCore/page/Chrome.h
	* WebCore/page/ChromeClient.h


	Add some methods for silk to String.

	* WebCore/platform/text/PlatformString.h


	Use localtime if defined(PLATFORM_XAI).

	* JavaScriptCore/wtf/DateMath.cpp
	* JavaScriptCore/wtf/DateMath.h


	Change default selection method of listbox to multi from single.

	* WebCore/dom/SelectElement.cpp


	XMLTokenizer::error: Use vsnprintf instead of vasprintf if PLATFORM(SILK).

	* WebCore/dom/XMLTokenizerLibxml2.cpp


	Add constructor PlatformKeyboardEvent(CEKeyboardEventParam*) for Silk.

	* WebCore/platform/PlatformKeyboardEvent.h


	Implement sleepForMicroseconds for Silk.

	* JavaScriptCore/bytecode/SamplingTool.cpp


	Enable SVG on platform silk.

	* WebCore/GNUmakefile.am
	* WebCore/platform/graphics/DashArray.h
	* WebCore/platform/graphics/FontCache.cpp
	* WebCore/platform/graphics/Gradient.h
	* WebCore/platform/graphics/GraphicsContext.h
	* WebCore/platform/graphics/GraphicsContextPrivate.h
	* WebCore/platform/graphics/ImageSource.h
	* WebCore/platform/graphics/Path.h
	* WebCore/platform/graphics/Pattern.h
	* WebCore/platform/graphics/silk/AffineTransformSilk.cpp
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContext.ccd
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContextImpl.cpp
	* WebCore/platform/graphics/silk/CEImageBufferGraphicsContextImpl.h
	* WebCore/platform/graphics/silk/CEWebKitImageImpl.cpp
	* WebCore/platform/graphics/silk/CEWebKitImageImpl.h
	* WebCore/platform/graphics/silk/FontCacheSilk.cpp
	* WebCore/platform/graphics/silk/FontCEUISilk.cpp
	* WebCore/platform/graphics/silk/FontPlatformDataSilk.cpp
	* WebCore/platform/graphics/silk/FontSilk.cpp
	* WebCore/platform/graphics/silk/GlyphPageTreeNodeCEUISilk.cpp
	* WebCore/platform/graphics/silk/GradientSilk.cpp
	* WebCore/platform/graphics/silk/GraphicsContextPlatformPrivateSilk.h
	* WebCore/platform/graphics/silk/GraphicsContextSilk.cpp
	* WebCore/platform/graphics/silk/ImageBufferData.h
	* WebCore/platform/graphics/silk/ImageBufferSilk.cpp
	* WebCore/platform/graphics/silk/ImageSilk.cpp
	* WebCore/platform/graphics/silk/ImageSourceSilk.cpp
	* WebCore/platform/graphics/silk/multiline.h
	* WebCore/platform/graphics/silk/PathSilk.cpp
	* WebCore/platform/graphics/silk/PatternSilk.cpp
	* WebCore/platform/graphics/silk/SilkPath.h
	* WebCore/platform/graphics/silk/SimpleFontDataCEUISilk.cpp
	* WebCore/platform/graphics/silk/SimpleFontDataSilk.cpp
	* WebCore/platform/silk/RenderThemeSilk.cpp
	* WebCore/platform/silk/ScrollbarThemeSilk.cpp
	* WebCore/plugins/silk/PluginViewSilk.cpp
	* WebCore/WebCoreSilk.vcproj/build-generated-files.sh
	* WebCore/WebCoreSilk.vcproj/WebCore.vcproj
	* WebKit/silk/CEWebKitFrameWindowImpl.cpp
	* WebKit/silk/CEWebKitFrameWindowImpl.h
	* WebKit/silk/CEWebKitImpl.cpp
	* WebKit/silk/CEWebKitWindowImpl.cpp
	* WebKit/silk/CEWebKitWindowImpl.h
	* WebKit/silk/silk.vsprops
	* WebKit/silk/WebKitSilk.vcproj
	* WebKitLibraries/win/tools/vsprops/debug.vsprops


	Add SILK_USE_ICU_FILEIO build flag to use icu4c's data files.

	* WebCore/platform/text/TextBreakIteratorICU.cpp
	* WebCore/platform/text/TextCodecICU.cpp


	Add some files to precompiled header file to reduce the build time on win32.

	* WebCore/WebCorePrefix.h
	* WebCore/WebCoreSilk.vcproj/WebCore.vcproj

	Fix compile errors caused by enabling precompiled header.

	* WebCore/dom/QualifiedName.cpp
	* WebCore/dom/QualifiedName.h
	* WebCore/platform/graphics/transforms/Matrix3DTransformOperation.cpp
	* WebCore/platform/graphics/transforms/MatrixTransformOperation.cpp


	Assertion failure in CheckedRadioButtons::removeButton when using jQuery 1.4.1 
	https://bugs.webkit.org/show_bug.cgi?id=34520 

	* WebCore/dom/Element.cpp
	* WebCore/html/HTMLInputElement.cpp
